## nova 2015.1.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr>=0.6,!=0.7,<1.0
SQLAlchemy>=0.9.7,<=0.9.99
boto>=2.32.1
decorator>=3.4.0
eventlet>=0.16.1,!=0.17.0
Jinja2>=2.6  # BSD License (3 clause)
keystonemiddleware>=1.5.0,<1.6.0
lxml>=2.3
Routes>=1.12.3,!=2.0
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate>=0.9.5
netaddr>=0.7.12
paramiko>=1.13.0
pyasn1
Babel>=1.3
iso8601>=0.1.9
jsonschema>=2.0.0,<3.0.0
python-cinderclient>=1.1.0,<1.2.0
python-neutronclient>=2.3.11,<2.5.0
python-glanceclient>=0.15.0,<0.18.0
six>=1.9.0
stevedore>=1.3.0,<1.4.0  # Apache-2.0
websockify>=0.6.0,<0.7
oslo.concurrency>=1.8.0,<1.9.0         # Apache-2.0
oslo.config>=1.9.3,<1.10.0  # Apache-2.0
oslo.context>=0.2.0,<0.3.0                     # Apache-2.0
oslo.log>=1.0.0,<1.1.0  # Apache-2.0
oslo.serialization>=1.4.0,<1.5.0               # Apache-2.0
oslo.utils>=1.4.0,<1.5.0                       # Apache-2.0
oslo.db>=1.7.0,<1.8.0  # Apache-2.0
oslo.rootwrap>=1.6.0,<1.7.0  # Apache-2.0
oslo.messaging>=1.8.0,<1.9.0  # Apache-2.0
oslo.i18n>=1.5.0,<1.6.0  # Apache-2.0
rfc3986>=0.2.0  # Apache-2.0
oslo.middleware>=1.0.0,<1.1.0                  # Apache-2.0
psutil>=1.1.1,<2.0.0

=== debian/changelog ===
nova (2015.1.0-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Thomas Goirand <zigo@debian.org>  Wed, 13 May 2015 09:18:15 +0200

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Julien Danjou <acid@debian.org>,
           Thomas Goirand <zigo@debian.org>,
           Mehdi Abaakouk <sileht@sileht.net>,
           Gonéri Le bouder <goneri@debian.org>,
           gustavo panizzo <gfa@zumbi.com.ar>,
Build-Depends: debhelper (>= 9),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               po-debconf,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: bpython,
                     euca2ools,
                     ipython,
                     libvirt-daemon-system,
                     openssh-client,
                     procps,
                     python-babel,
                     python-barbicanclient (>= 3.0.1),
                     python-boto,
                     python-cinderclient (>= 1:1.1.0),
                     python-coverage,
                     python-decorator,
                     python-eventlet (>= 0.16.1),
                     python-fixtures,
                     python-glanceclient (>= 1:0.15.0),
                     python-greenlet,
                     python-hacking,
                     python-ironicclient (>= 0.2.1),
                     python-iso8601,
                     python-jinja2,
                     python-jsonschema,
                     python-keystonemiddleware (>= 1.5.0),
                     python-lxml,
                     python-memcache,
                     python-migrate (>= 0.9.5),
                     python-mock,
                     python-mox3,
                     python-mysqldb,
                     python-netaddr,
                     python-neutronclient (>= 2.3.11),
                     python-novaclient (>= 1:2.9.0),
                     python-oslo.concurrency (>= 1.8.0),
                     python-oslo.config (>= 1:1.9.3),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 1.7.0),
                     python-oslo.i18n (>= 1.5.0),
                     python-oslo.log (>= 1.0.0),
                     python-oslo.messaging (>= 1.8.0),
                     python-oslo.middleware (>= 1.0.0),
                     python-oslo.rootwrap (>= 1.6.0),
                     python-oslo.serialization (>= 1.4.0),
                     python-oslo.utils (>= 1.4.0),
                     python-oslo.vmware (>= 0.11.1),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.5.1),
                     python-paramiko,
                     python-paste,
                     python-pastedeploy,
                     python-psutil,
                     python-psycopg2,
                     python-pyasn1,
                     python-requests,
                     python-requests-mock (>= 0.6.0),
                     python-rfc3986,
                     python-routes,
                     python-six (>= 1.9.0),
                     python-sqlalchemy,
                     python-stevedore (>= 1.3.0),
                     python-suds,
                     python-tempest-lib (>= 0.4.0),
                     python-testtools,
                     python-webob,
                     sqlite3,
                     subunit,
                     testrepository,
                     websockify,
Build-Conflicts: python-cjson
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=openstack/nova.git;a=summary
Vcs-Git: git://anonscm.debian.org/openstack/nova.git
Homepage: http://www.openstack.org/software/openstack-compute/

Package: python-nova
Architecture: all
Section: python
Pre-Depends: dpkg (>= 1.15.6~)
Depends: openssh-client,
         openssl,
         python-babel,
         python-boto,
         python-cinderclient (>= 1:1.1.0),
         python-decorator,
         python-eventlet (>= 0.16.1),
         python-feedparser,
         python-glanceclient (>= 1:0.15.0),
         python-greenlet,
         python-iso8601,
         python-jinja2,
         python-jsonschema,
         python-keystonemiddleware (>= 1.5.0),
         python-lxml,
         python-memcache,
         python-migrate (>= 0.9.5),
         python-mysqldb,
         python-netaddr,
         python-neutronclient (>= 2.3.11),
         python-novaclient (>= 1:2.9.0),
         python-oslo.concurrency (>= 1.8.0),
         python-oslo.config (>= 1:1.9.3),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 1.7.0),
         python-oslo.i18n (>= 1.5.0),
         python-oslo.log (>= 1.0.0),
         python-oslo.messaging (>= 1.8.0),
         python-oslo.middleware (>= 1.0.0),
         python-oslo.rootwrap (>= 1.6.0),
         python-oslo.serialization (>= 1.4.0),
         python-oslo.utils (>= 1.4.0),
         python-paramiko,
         python-paste,
         python-pastedeploy,
         python-pbr (>= 0.8),
         python-psutil,
         python-pyasn1,
         python-pycurl,
         python-pyparsing (>= 1.5.7),
         python-requests (>= 1.1),
         python-rfc3986,
         python-routes,
         python-six (>= 1.9.0),
         python-sqlalchemy,
         python-stevedore (>= 1.3.0),
         python-tempita,
         python-webob,
         sudo,
         websockify,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-suds (>= 0.4.0)
Conflicts: python-cjson
Description: OpenStack Compute - libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dbconfig-common,
         iproute2 | iproute,
         python-amqplib,
         python-configobj,
         python-iso8601,
         python-nova (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Suggests: python-pysqlite2 | python-mysqldb | python-pygresql
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package contains elements that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         conntrack,
         curl,
         ebtables,
         gawk,
         iptables,
         kpartx,
         nova-common (= ${binary:Version}),
         nova-compute-kvm | nova-compute-hypervisor,
         open-iscsi,
         parted,
         python-cinderclient,
         qemu-utils,
         vlan,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Replaces: python-nova (<< 2012.1~rc1-1)
Breaks: python-nova (<< 2012.1~rc1-1)
Description: OpenStack Compute - compute node
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This package equips a system to function as a compute node, running the
 virtual machines.

Package: nova-compute-lxc
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         ${misc:Depends},
         ${python:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-qemu,
           nova-compute-uml,
           nova-compute-xen,
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using LXC.

Package: nova-compute-uml
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         user-mode-linux,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-qemu,
           nova-compute-xen,
Description: OpenStack Compute - compute node (UserModeLinux)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its
 "native" OpenStack API, it also supports the Amazon EC2 API, and it supports
 many different database backends (including SQLite, MySQL, and PostgreSQL),
 hypervisors (KVM, Xen), and user directory systems (LDAP, SQL).
 .
 This is a dependency package for compute nodes using UserModeLinux.

Package: nova-compute-qemu
Architecture: all
Pre-Depends: dpkg (>= 1.15.6~)
Depends: adduser,
         dpkg-dev,
         libvirt-daemon-system,
         nova-common,
         nova-compute,
         python-libvirt (>= 1.2.5),
         qemu,
         ${misc:Depends},
Provides: nova-compute-hypervisor
Conflicts: nova-compute-ironic,
           nova-compute-kvm,
           nova-compute-lxc,
           nova-compute-uml,
           nova-compute-xen,
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller
 designed to be modular and easy to extend and adapt. In addition to its

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(VERSION)

include /usr/share/python/python.mk
debroot = debian/tmp
site_packages_dir=$(debroot)$(call py_libdir,$(shell pyversions -d))

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/ doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -rf nova.egg-info
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/nova-common.config debian/nova-common.postinst debian/nova-compute-xen.postinst \
		debian/nova-api.config debian/nova-api.postinst
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf build etc/nova/nova.conf.sample

override_dh_auto_build:
	dh_auto_build

	set -e ; for i in build/* ; do \
		PYTHONPATH=$$i bash tools/config/generate_sample.sh -b . -p nova -o etc/nova ; \
	done

	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-api.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func nova-compute-xen.postinst

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	sphinx-build -b html doc/source $(CURDIR)/debian/nova-doc/usr/share/doc/nova-doc/html
	sphinx-build -b man doc/source doc/build/man
	dh_sphinxdoc -O--buildsystem=python_distutils
	#python setup.py build_sphinx
endif

override_dh_installman:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	dh_installman -O--buildsystem=python_distutils
endif


override_dh_install:
	python setup.py install -f --install-layout=deb --root=$(debroot)
	mkdir -p $(debroot)/usr/share
	mv $(site_packages_dir)/nova/locale $(debroot)/usr/share

	rm debian/tmp/usr/bin/nova-api-os-compute
	rm debian/tmp/usr/bin/nova-api-metadata
	rm debian/tmp/usr/bin/nova-api-ec2

	dh_install --fail-missing -Xbin/nova-all -Xbin/nova-objectstore
	mkdir -p $(CURDIR)/debian/nova-common/usr/share/nova-common
	bash tools/config/generate_sample.sh -b . -p nova -o $(CURDIR)/debian/nova-common/usr/share/nova-common

	install -D -m 0440 $(CURDIR)/debian/nova-common.sudoers $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/usr/share/nova-common/logging.conf
	set -e ; for hypervisor in qemu kvm uml lxc ironic; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	install -D -m 0600 $(CURDIR)/debian/nova-compute-xen.conf.dist $(CURDIR)/debian/nova-compute-xen/usr/share/nova-compute-xen/nova-compute.conf
	find $(CURDIR)/debian -name .gitignore -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers
	dh_fixperms -Xnova_tgt
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/projects/.gitignore
	rm -f $(CURDIR)/debian/python-nova/usr/share/pyshared/nova/CA/reqs/.gitignore

	# Make sure all our plugins are executable
#	set -e ; for i in $(CURDIR)/debian/nova-xcp-plugins/usr/lib/xcp/plugins/* ; do \
#		chmod +x $$i ; \
#	done
#	# Don't ask, that's as stupid as it seems... (and it wouldn't work without this!)
#	mkdir -p $(CURDIR)/debian/nova-xcp-plugins/etc/xcp
#	echo "{}" >$(CURDIR)/debian/nova-xcp-plugins/etc/xcp/xenhost.conf
#	chmod 0440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova-common

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	./run_tests.sh -N -P || true
	#python setup.py testr --slowest --testr-args='--subunit  ' || true
endif

# We use override_dh_installmenu because it's done in the sequence with dh,
# and we already override dh_installinit in pkgos.make.
# Obviously, we will never use a Desktop menu in such a package, so that's
# not a problem.
override_dh_installmenu:
	#dh_installinit -pnova-console --name=nova-consoleauth
	dh_installinit --name=nova-novncproxy
	dh_installinit --name=nova-spicehtml5proxy
	dh_installinit --name=nova-xenvncproxy
	install -D -m 0644 $(CURDIR)/debian/nova-consoleproxy.mydefault $(CURDIR)/debian/nova-consoleproxy/usr/share/nova-consoleproxy/default

override_dh_python2:
	dh_python2
	# This is needed for the XCP plugins, which have to be installed in
	# a non-standard directory. This is a problem upstream which isn't
	# fixable in Debian easily (though it isn't a policy violation).
	dh_python2  /usr/lib/xcp

## nova 2015.1.2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

pbr!=0.7,<1.0,>=0.6
SQLAlchemy<=0.9.99,>=0.9.7
boto>=2.32.1
decorator>=3.4.0
eventlet!=0.17.0,>=0.16.1
Jinja2>=2.6 # BSD License (3 clause)
keystonemiddleware<1.6.0,>=1.5.0
lxml>=2.3
Routes!=2.0,>=1.12.3
WebOb>=1.2.3
greenlet>=0.3.2
PasteDeploy>=1.5.0
Paste
sqlalchemy-migrate!=0.9.8,<0.10.0,>=0.9.5
netaddr>=0.7.12
paramiko>=1.13.0
pyasn1
Babel>=1.3
iso8601>=0.1.9
jsonschema<3.0.0,>=2.0.0
python-cinderclient<1.2.0,>=1.1.0
python-neutronclient<2.5.0,>=2.4.0
python-glanceclient<0.18.0,>=0.15.0
six>=1.9.0
stevedore<1.4.0,>=1.3.0 # Apache-2.0
websockify<0.7,>=0.6.0
oslo.concurrency<1.9.0,>=1.8.2 # Apache-2.0
oslo.config<1.10.0,>=1.9.3 # Apache-2.0
oslo.context<0.3.0,>=0.2.0 # Apache-2.0
oslo.log<1.1.0,>=1.0.0 # Apache-2.0
oslo.serialization<1.5.0,>=1.4.0 # Apache-2.0
oslo.utils!=1.4.1,<1.5.0,>=1.4.0 # Apache-2.0
oslo.db<1.8.0,>=1.7.0 # Apache-2.0
oslo.rootwrap<1.7.0,>=1.6.0 # Apache-2.0
oslo.messaging<1.9.0,>=1.8.0 # Apache-2.0
oslo.i18n<1.6.0,>=1.5.0 # Apache-2.0
rfc3986>=0.2.0 # Apache-2.0
oslo.middleware<1.1.0,>=1.0.0 # Apache-2.0
psutil<2.0.0,>=1.1.1

=== debian/changelog ===
nova (1:2015.1.2-0ubuntu2) vivid; urgency=medium

  * d/control: Bump oslo.concurrency to >= 1.8.2 (LP: #1518016).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 20 Nov 2015 07:56:47 -0500

nova (1:2015.1.2-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (68e9359) (LP: #1506058):
    - [68e9359] Fix quota update in init_instance on nova-compute restart
    - [d864603] Raise InstanceNotFound when save FK constraint fails
    - [db45b1e] Give instance default hostname if hostname is empty
    - [61f119e] Relax restrictions on server name
    - [2e731eb] Remove unnecessary 'context' param from quotas reserve method
                call
    - [5579928] Updated from global requirements
    - [08d1153] Don't expect meta attributes in object_compat that aren't in the
                db obj
    - [5c6f01f] VMware: pass network info to config drive.
    - [17b5052] Allow to use autodetection of volume device path
    - [5642b17] Delete orphaned instance files from compute nodes
    - [8110cdc] Updated from global requirements
    - [1f5b385] Hyper-V: Fixes serial port issue on Windows Threshold
    - [24251df] Handle FC LUN IDs greater 255 correctly on s390x architectures
    - [dcde7e7] Update obj_reset_changes signatures to match
    - [e16fcfa] Unshelving volume backed instance fails
    - [8fccffd] Make pagination tolerate a deleted marker
    - [587092c] Fix live-migrations usage of the wrong connector information
    - [8794b93] Don't check flavor disk size when booting from volume
    - [c1ad497] Updated from global requirements
    - [0b37312] Hyper-V: Removes old instance dirs after live migration
    - [2d571b1] Hyper-V: Fixes live migration configdrive copy operation
    - [07506f5] Hyper-V: Fix SMBFS volume attach race condition
    - [60356bf] Hyper-V: Fix missing WMI namespace issue on Windows 2008 R2
    - [83fb8cc] Hyper-V: Fix virtual hard disk detach
    - [6c857c2] Updated from global requirements
    - [0313351] Compute: replace incorrect instance object with dict
    - [9724d50] Don't pass the service catalog when making glance requests
    - [b5020a0] libvirt: Kill rsync/scp processes before deleting instance
    - [3f337f8] Support host type specific block volume attachment
    - [cb2a8fb] Fix serializer supported version reporting in object_backport
    - [701c889] Execute _poll_shelved_instances only if shelved_offload_time is
                > 0
    - [eb3b1c8] Fix rebuild of an instance with a volume attached
    - [e459add] Handle unexpected clear events call
    - [8280575] Support ssh-keygen of OpenSSH 6.8
    - [9a51140] Kilo-Removing extension "OS-EXT-VIF-NET" from v2.1 ext list
    - [b3f7b77] Fix wrong check when use image in local
    - [b13726b] Fix race between resource audit and cpu pinning
   * debian/patches/not-check-disk-size.patch: Dropped no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 14 Oct 2015 09:12:32 -0400

nova (1:2015.1.1-0ubuntu2) vivid; urgency=medium

  [ Corey Bryant ]
  * d/rules: Prevent dh_python2 from guessing dependencies.

  [ Liang Chen ]
  * d/p/not-check-disk-size.patch: Fix booting from volume error
    when flavor disk too small (LP: #1457517)

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 13 Aug 2015 15:13:43 -0400

nova (1:2015.1.1-0ubuntu1) vivid; urgency=medium

  * Resynchronize with stable/kilo (d8a470d) (LP: #1481008):
    - [e6e39e1] Remove incorrect Instance 1.18 relationship for PciDevice 1.2
    - [a55ea8c] Fix the incorrect PciDeviceList version number
    - [e56aed8] Add support for forcing migrate_flavor_data
    - [ccd002b] Fix migrate_flavor_data string substitution
    - [124b501] Allow libvirt cleanup completion when serial ports already released
    - [4908d46] Fixed incorrect dhcp_server value during nova-network creation
    - [0cf44ff] Fixed nova-network dhcp-hostsfile update during live-migration
    - [dc6af6b] libvirt: handle code=38 + sigkill (ebusy) in destroy()
    - [6e22a8b] hypervisor support matrix: add kvm on system z in kilo release
    - [e013ebf] Fix max_number for migrate_flavor data
    - [2b5fe5d] Reduce window for allocate_fixed_ip / release_fixed_ip race in nova-net
    - [cd6353a] Mark ironic credential config as secret
    - [48a6217] Ensure to store context in thread local after spawn/spawn_n
    - [fc7f1ab] Store context in local store after spawn_n
    - [199f0ab] Fixes TypeError when libvirt version is BAD_LIBVIRT_CPU_POLICY_VERSIONS
    - [1f4088d] Add 'docker' to the list of known hypervisor types
    - [30fe27d] Fix noVNC console access for an IPv6 setup
    - [41ba203] libvirt: Don't try to confine a non-NUMA instance
    - [2635ee0] Fix quota-update stuck in deleting when nova-compute startup finish
    - [540221f] Remove useless volume when boot from volume failed
    - [4bb1e08] network: fix instance cache refresh for empty list
    - [22adc62] Make nova-manage handle completely missing flavor information
    - [c66c8e1] libvirt: safe_decode xml for i18n logging
    - [c42b47e] Reschedules sometimes do not allocate networks
    - [72f7e30] Hyper-V: Fixes cold migration / resize issue
    - [a0f093a] Create instance_extra entry if it doesn't update
    - [6463b38] Don't wait for an event on a resize-revert
    - [d55ee5a] Ironic: pass injected files through to configdrive
    - [e7519b4] Associate floating IPs with first v4 fixed IP if none specified
    - [d18058e] libvirt: handle NotSupportedError in compareCPU
    - [1a6053b] fix network setup on evacuate
    - [aaaf7ce] Delete shelved_* keys in n-cpu unshelve call
    - [82f83d4] Correct the help text for the compute option.
    - [8ba0159] Fix loading things in instance_extra for old instances
    - [709f0bb] Delay STOPPED lifecycle event for all domains, not just Xen
    - [1b941f1] Handle return code 2 from blkid calls
    - [8e9ecf7] Libvirt: Use tpool to invoke guestfs api
    - [7ae9466] Incorrect argument order passed to swap_volume


=== debian/rules ===
#!/usr/bin/make -f

# Verbose mode
#export DH_VERBOSE=1

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(VERSION)

# Send HTTP traffic to “discard” service
export http_proxy = http://127.0.1.1:9/
export https_proxy = ${http_proxy}

%:
	dh $@ --with python2,systemd

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build/* doc/source/api doc/.autogenerated
	rm -rf tests.sqlite clean.sqlite run_tests.log
	rm -rf CA
	rm -f po/nova.pot
	rm -rf .autogenerated
	rm -f debian/*.init debian/*.service debian/*.upstart
	rm -rf .testrepository

override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	mkdir -p doc/build/html
	mkdir -p doc/build/man
	sphinx-build -b man doc/source doc/build/man
	sphinx-build -b html doc/source doc/build/html
endif

get-orig-source:
	uscan --verbose --rename --destdir=../build-area

override_dh_python2:
	dh_python2 --no-guessing-deps

override_dh_install:
	# Fix any api sample template files with broken permissions
	find $(CURDIR)/debian/tmp -name *.tpl -exec chmod a-x {} \;
	dh_install --fail-missing -Xbin/nova-all
	chmod 440 $(CURDIR)/debian/nova-common/etc/sudoers.d/nova_sudoers
	install -D -m 0644 $(CURDIR)/etc/nova/logging_sample.conf $(CURDIR)/debian/nova-common/etc/nova/logging.conf
	for hypervisor in qemu kvm xen lxc vmware; do \
		install -D -m 0600 $(CURDIR)/debian/nova-compute-$${hypervisor}.conf $(CURDIR)/debian/nova-compute-$${hypervisor}/etc/nova/nova-compute.conf; \
	done
	find $(CURDIR)/debian -name ".gitignore" -delete

override_dh_fixperms:
	dh_fixperms -Xnova_sudoers -Xnova_tgt.conf

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	./run_tests.sh -N -P nova.tests.unit
	#testr init && testr run 
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/" \
 http://tarballs.openstack.org/nova/ nova-(\d.*)\.tar\.gz

## nova 2015.1.4

=== debian/changelog ===
nova (1:2015.1.4-0ubuntu2) trusty-kilo; urgency=medium

  * d/p/fix-iscsi-detach.patch (LP: #1374999)
    - Clear latest path for last remaining iscsi disk to ensure
      disk is properly removed.

 -- Billy Olsen <billy.olsen@canonical.com>  Mon, 04 Apr 2016 14:28:40 -0700

nova (1:2015.1.4-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1580334).
  * d/p/skip-proxy-test.patch: Skip test_ssl_server and test_two_servers as
    they are hitting ProxyError during package builds.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 11 May 2016 09:54:59 -0400

nova (1:2015.1.3-0ubuntu1) trusty-kilo; urgency=medium

  * New upstream stable release (LP: #1559215).

 -- James Page <james.page@ubuntu.com>  Fri, 18 Mar 2016 19:57:18 +0000

=== debian/control ===
Source: nova
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Openstack Maintainers <openstack@lists.launchpad.net>
Uploaders: Soren Hansen <soren@ubuntu.com>, Thomas Goirand <zigo@debian.org>
Build-Depends:
 debhelper (>= 9~),
 dh-systemd,
 openstack-pkg-tools (>= 21ubuntu5~),
 python-all (>= 2.6),
 python-all-dev (>= 2.6.6-3~)
Build-Depends-Indep:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-barbicanclient (>= 3.0.1),
 python-boto (>= 2.32.1),
 python-cinderclient (>= 1:1.1.0),
 python-coverage (>= 3.6),
 python-crypto,
 python-decorator (>= 3.4.0),
 python-distutils-extra,
 python-eventlet (>= 0.16.1),
 python-feedparser,
 python-fixtures (>= 0.3.14),
 python-glanceclient (>= 1:0.15.0),
 python-greenlet (>= 0.3.2),
 python-hacking (>= 0.10.0),
 python-ironicclient (>= 0.2.1),
 python-iso8601 (>= 0.1.9),
 python-jinja2 (>= 2.6),
 python-jsonschema (>= 2.0.0),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.5.12),
 python-libvirt,
 python-lockfile,
 python-lxml (>= 2.3),
 python-migrate (>= 0.9.5),
 python-mock (>= 1.0),
 python-mox,
 python-mox3 (>= 0.7.0),
 python-mysqldb,
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.11),
 python-nose,
 python-oslo-concurrency (>= 1.8.2),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-oslo-vmware (>= 0.11.0),
 python-oslosphinx (>= 2.2.0),
 python-oslotest (>= 1:1.2.0),
 python-paramiko (>= 1.13.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-posix-ipc,
 python-psutil (>= 1.1.1),
 python-psycopg2,
 python-pyasn1,
 python-pycadf (>= 0.6.0),
 python-requests-mock (>= 0.5.1),
 python-rfc3986 (>= 0.2.0),
 python-routes (>= 1.12.3),
 python-setuptools,
 python-six (>= 1.9.0),
 python-sphinx (>= 1.1.2),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-tempest-lib (>= 0.3.0),
 python-testresources,
 python-testtools (>= 0.9.36),
 python-webob (>= 1.2.3),
 sqlite3,
 subunit (>= 0.0.18),
 testrepository ( >= 0.0.18)
Build-Conflicts: python-cjson
Standards-Version: 3.9.6
Homepage: http://launchpad.net/nova
Vcs-Browser: http://bazaar.launchpad.net/~ubuntu-server-dev/nova/kilo/files
Vcs-Bzr: https://code.launchpad.net/~ubuntu-server-dev/nova/kilo
XS-Testsuite: autopkgtest
X-Python-Version: >= 2.7

Package: python-nova
Architecture: all
Section: python
Depends:
 openssh-client,
 openssl,
 python-amqplib (>= 0.6.1),
 python-anyjson (>= 0.3.3),
 python-babel (>= 1.3),
 python-boto (>= 2.32.1),
 python-cinderclient (>= 1:1.1.0),
 python-decorator (>= 3.4.0),
 python-eventlet (>= 0.16.1),
 python-glanceclient (>= 1:0.15.0),
 python-greenlet (>= 0.3.2),
 python-iso8601 (>= 0.1.9),
 python-jinja2 (>= 2.6),
 python-jsonschema (>= 2.0.0),
 python-keystonemiddleware (>= 1.5.0),
 python-kombu (>= 2.5.12),
 python-lxml (>= 2.3),
 python-m2crypto,
 python-migrate (>= 0.9.5),
 python-netaddr (>= 0.7.12),
 python-neutronclient (>= 1:2.3.11),
 python-oslo-concurrency (>= 1.8.2),
 python-oslo-config (>= 1:1.9.3),
 python-oslo-context (>= 0.2.0),
 python-oslo-db (>= 1.7.0),
 python-oslo-i18n (>= 1.3.0),
 python-oslo-log (>= 1.0.0),
 python-oslo-messaging (>= 1.8.0),
 python-oslo-middleware (>= 1.0.0),
 python-oslo-rootwrap (>= 1.6.0),
 python-oslo-serialization (>= 1.4.0),
 python-oslo-utils (>= 1.4.0),
 python-paramiko (>= 1.13.0),
 python-paste,
 python-pastedeploy (>= 1.5.0),
 python-pbr (>= 0.6),
 python-psutil (>= 1.1.1),
 python-pyasn1,
 python-pycadf (>= 0.6.0),
 python-rfc3986 (>= 0.2.0),
 python-routes (>= 1.12.3),
 python-simplejson,
 python-six (>= 1.9.0),
 python-sqlalchemy (>= 0.9.7),
 python-stevedore (>= 1.3.0),
 python-webob (>= 1.2.3),
 ${misc:Depends},
 ${python:Depends}
Suggests: python-ldap
Conflicts: python-cjson
XB-Python-Version: ${python:Versions}
Recommends: python-mysqldb
Provides: ${python:Provides}
Description: OpenStack Compute Python libraries
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains the core Python parts of Nova.

Package: nova-common
Architecture: all
Depends:
 adduser,
 python-nova (= ${binary:Version}),
 ${misc:Depends},
 ${python:Depends}
Provides: ${python:Provides}
Recommends: python-glanceclient, python-keystone
Description: OpenStack Compute - common files
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This package contains things that are needed by all parts of Nova.

Package: nova-compute
Architecture: all
Depends:
 nova-common (= ${binary:Version}),
 nova-compute-kvm | nova-compute-hypervisor,
 ${misc:Depends},
 ${python:Depends}
Description: OpenStack Compute - compute node base
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This is the package you will install on the nodes that will run your
 virtual machines.

Package: nova-compute-libvirt
Architecture: all
Depends:
 adduser,
 ebtables,
 genisoimage,
 iptables,
 kpartx,
 libvirt-bin,
 nova-compute (= ${binary:Version}),
 open-iscsi,
 parted,
 python-libvirt,
 qemu-utils,
 vlan,
 ${misc:Depends},
 ${python:Depends}
Suggests: guestmount, multipath-tools, sg3-utils, sysfsutils
Description: OpenStack Compute - compute node libvirt support
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 This dependency package provides common dependencies and setup for all libvirt
 based hypervisor options.

Package: nova-compute-lxc
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (LXC)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using LXC.

Package: nova-compute-xen
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 xen-system-amd64 | xen-system-i386,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (Xen)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using Xen.

Package: nova-compute-qemu
Architecture: all
Depends: nova-compute-libvirt (= ${binary:Version}), qemu, ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (QEmu)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many
 different hypervisors (KVM and Xen to name a few), different database backends
 (SQLite, MySQL, and PostgreSQL, for instance), different types of user
 databases (LDAP or SQL), etc.
 .
 Install this package on your compute nodes if you're using QEmu.

Package: nova-compute-kvm
Architecture: all
Depends:
 nova-compute-libvirt (= ${binary:Version}),
 qemu-system (>= 1.3.0) | kvm,
 ${misc:Depends}
Provides: nova-compute-hypervisor
Conflicts: nova-compute-hypervisor
Description: OpenStack Compute - compute node (KVM)
 OpenStack is a reliable cloud infrastructure. Its mission is to produce
 the ubiquitous cloud computing platform that will meet the needs of public
 and private cloud providers regardless of size, by being simple to implement
 and massively scalable.
 .
 OpenStack Compute, codenamed Nova, is a cloud computing fabric controller. In
 addition to its "native" API (the OpenStack API), it also supports the Amazon
 EC2 API.
 .
 Nova is intended to be modular and easy to extend and adapt. It supports many

## nova powervm-1.0.0

=== requirements.txt ===
pbr>=0.11,<2.0
Babel>=1.3
six>=1.9.0
oslo.config>=1.11.0  # Apache-2.0
oslo.log>=1.2.0  # Apache-2.0
oslo.serialization>=1.4.0               # Apache-2.0
oslo.utils>=1.6.0                       # Apache-2.0
taskflow>=0.11.0

## nova powervm-2.0.1

=== requirements.txt ===
pbr>=1.6
Babel>=1.3
netifaces>=0.10.4 # MIT
six>=1.9.0
oslo.config>=3.7.0  # Apache-2.0
oslo.log>=1.14.0  # Apache-2.0
oslo.serialization>=1.10.0              # Apache-2.0
oslo.utils>=3.5.0                       # Apache-2.0
taskflow>=1.26.0  # Apache-2.0
setuptools<20.2

## nova powervm-3.0.0

=== requirements.txt ===
amqp>=1.4.0,<2.0 # LGPL
pbr>=1.6
Babel>=2.3.4  # BSD
six>=1.9.0
oslo.config>=3.10.0  # Apache-2.0
oslo.log>=1.14.0  # Apache-2.0
oslo.serialization>=1.10.0              # Apache-2.0
oslo.utils>=3.11.0                       # Apache-2.0
taskflow>=1.26.0  # Apache-2.0
setuptools>=16.0

## nova powervm-3.0.0.0b1

=== requirements.txt ===
amqp>=1.4.0,<2.0 # LGPL
pbr>=1.6
Babel>=1.3
netifaces>=0.10.4 # MIT
six>=1.9.0
oslo.config>=3.7.0  # Apache-2.0
oslo.log>=1.14.0  # Apache-2.0
oslo.serialization>=1.10.0              # Apache-2.0
oslo.utils>=3.5.0                       # Apache-2.0
taskflow>=1.26.0  # Apache-2.0
setuptools>=16.0

## nova powervm-4.0.0.0b2

=== requirements.txt ===
amqp>=1.4.0,<2.0 # LGPL
pbr>=1.6
Babel>=2.3.4  # BSD
six>=1.9.0
oslo.config>=3.10.0  # Apache-2.0
oslo.log>=1.14.0  # Apache-2.0
oslo.serialization>=1.10.0              # Apache-2.0
oslo.utils>=3.11.0                       # Apache-2.0
pypowervm
taskflow>=1.26.0  # Apache-2.0
setuptools>=16.0

## nova powervm-4.0.0.0b3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
amqp<2.0,>=1.4.0 # LGPL
pbr>=1.8 # Apache-2.0
Babel>=2.3.4 # BSD
six>=1.9.0 # MIT
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
pypowervm
taskflow>=2.7.0 # Apache-2.0
setuptools!=24.0.0,>=16.0 # PSF/ZPL

## nova powervm-5.0.0.0b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
amqp!=2.1.4,>=2.1.0 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.9.0 # MIT
oslo.config>=3.22.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pypowervm>=1.1.1 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,>=16.0 # PSF/ZPL

## nova powervm-5.0.0.0b2

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 oslo.log>=3.22.0 # Apache-2.0
 oslo.serialization>=1.10.0 # Apache-2.0
 oslo.utils>=3.20.0 # Apache-2.0
-pypowervm>=1.1.1 # Apache-2.0
+pypowervm>=1.1.4 # Apache-2.0
 taskflow>=2.7.0 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,>=16.0 # PSF/ZPL

## nova powervm-5.0.3

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
amqp!=2.1.4,>=2.1.0 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.9.0 # MIT
oslo.config!=4.3.0,!=4.4.0,>=4.0.0 # Apache-2.0
oslo.log>=3.22.0 # Apache-2.0
oslo.serialization!=2.19.1,>=1.10.0 # Apache-2.0
oslo.utils>=3.20.0 # Apache-2.0
pypowervm>=1.1.6 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL

## nova powervm-6.0.0.0b2

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
amqp!=2.1.4,>=2.1.1 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
oslo.config>=5.1.0 # Apache-2.0
oslo.log>=3.30.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.31.0 # Apache-2.0
pypowervm>=1.1.9 # Apache-2.0
taskflow>=2.7.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL

## nova powervm-6.0.0.0b3

=== requirements.txt ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Babel!=2.4.0,>=2.3.4 # BSD
 six>=1.10.0 # MIT
 oslo.config>=5.1.0 # Apache-2.0
-oslo.log>=3.30.0 # Apache-2.0
+oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
-oslo.utils>=3.31.0 # Apache-2.0
-pypowervm>=1.1.9 # Apache-2.0
-taskflow>=2.7.0 # Apache-2.0
+oslo.utils>=3.33.0 # Apache-2.0
+pypowervm>=1.1.10 # Apache-2.0
+taskflow>=2.16.0 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=16.0 # PSF/ZPL

## nova powervm-7.0.0.0b1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
amqp!=2.1.4,>=2.1.1 # BSD
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
oslo.config>=5.2.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
pypowervm>=1.1.13 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL

## nova powervm-7.0.0.0b2

=== requirements.txt ===
--- 
+++ 
@@ -9,6 +9,6 @@
 oslo.log>=3.36.0 # Apache-2.0
 oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
 oslo.utils>=3.33.0 # Apache-2.0
-pypowervm>=1.1.13 # Apache-2.0
+pypowervm>=1.1.15 # Apache-2.0
 taskflow>=2.16.0 # Apache-2.0
 setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL

## nova powervm-9.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
Babel!=2.4.0,>=2.3.4 # BSD
six>=1.10.0 # MIT
oslo.config>=6.1.0 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.21.1 # Apache-2.0
oslo.utils>=3.37.0 # Apache-2.0
os-resource-classes>=0.1.0 # Apache-2.0
pypowervm>=1.1.20 # Apache-2.0
sphinx!=1.6.6,!=1.6.7,<2.0.0,>=1.6.2;python_version=='2.7' # BSD
sphinx!=1.6.6,!=1.6.7,!=2.1.0,>=1.6.2;python_version>='3.4'  # BSD
python-swiftclient>=3.2.0 # Apache-2.0
taskflow>=2.16.0 # Apache-2.0
setuptools!=24.0.0,!=34.0.0,!=34.0.1,!=34.0.2,!=34.0.3,!=34.1.0,!=34.1.1,!=34.2.0,!=34.3.0,!=34.3.1,!=34.3.2,!=36.2.0,>=21.0.0 # PSF/ZPL

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.2,<2.0.0;python_version=='2.7'  # BSD
sphinx!=1.6.6,!=1.6.7,>=1.6.2,!=2.1.0;python_version>='3.4'  # BSD
openstackdocstheme>=1.19.0 # Apache-2.0
sphinx-feature-classification>=0.2.0 # Apache-2.0
